Summary: Firmware for the Intel® PRO/Wireless 2200 Driver.
Name: ipw2200-firmware
Version: 2.0
Release: 3.0.1%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/firmware.php
Source0: http://bughost.org/firmware/ipw2200-fw-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the ipw-2200 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
mkdir -p %{buildroot}%{_sysconfdir}/firmware
mkdir -p %{buildroot}%{_libdir}/hotplug/firmware
install -p *.fw %{buildroot}/lib/firmware
install -p LICENSE %{buildroot}/lib/firmware/ipw2200-LICENSE.txt
cd %{buildroot}/lib/firmware
for file in *; do
  ln -s /lib/firmware/$file %{buildroot}%{_libdir}/hotplug/firmware/
  ln -s /lib/firmware/$file %{buildroot}%{_sysconfdir}/firmware
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
/lib/firmware/*
%{_sysconfdir}/firmware
%{_libdir}/hotplug/firmware

%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0-3.0.1
- Fix not utf-8	specfile entries.

* Fri Sep  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.0.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
